//------------------------------------------------------
//
//   Greg's Blogging Mod - Client Proxy
//
//------------------------------------------------------

package gcewing.blogging;

import org.lwjgl.input.Keyboard;

class GregsBloggingClient extends BaseModClient {

	static GregsBloggingClient client;

	GregsBloggingClient(BaseMod base) {
		super(base);
		client = this;
	}

	@Override
	void registerOther() {
		KeyBindings keys = new KeyBindings(base);
		keys.registerKey("blog", Keyboard.KEY_B, "key.categories.misc", new BlogKey());
	}
	
	public static void openGuiBlog() {
		client.openClientGui(new GuiBlog());
	}
	
	public static void openGuiStatus() {
		client.openClientGui(new GuiStatus());
	}
	
	public static class BlogKey implements IKeyHandler {
		public void keyDown() {
			//System.out.printf("GregsBlogging.BlogKey.keyDown\n");
			switch (GuiBlog.sendingState()) {
				case Sent:
					GuiBlog.reset();
				case Idle:
					openGuiBlog();
					break;
				default:
					openGuiStatus();
			}
		}
	}

}
